Skip to main content
GET
Get the list of account details of the referred client
Retrieve the account details for a given client, possibly filtered by some criteria.

Authorizations

x-api-key
string
header
required

An API Key.

Headers

Authorization
string
required

The access token

Query Parameters

client_id
string
required

ID of the client that owns the account details

Minimum string length: 1
account_details_type
enum<string>

Filter by the type of the account details

Available options:
dedicated,
pooled
account_id
string

Filter by the unique ID of the account

Required string length: 36
country
string

Filter by the country of the account details (ISO Code 2)

Required string length: 2
Pattern: [A-Z]{2}
currency
string

Filter by the currency of the account details

Required string length: 3
Pattern: [A-Z]{3}
alias
string

Filter by the user-friendly alias of the account details. Only dedicated accounts can be filtered by alias.

Required string length: 1 - 50
page
integer

Page number to retrieve

Required range: x >= 1
page_size
integer

Maximum number of items to include in each page

Required range: x >= 1

Response

Account details

account_id
string<uuid>
required

Unique ID of the account these details belong to. Can be null for pooled accounts.

Required string length: 36
account_details_id
string<uuid>
required

Unique ID of the account details

Required string length: 36
account_details_type
enum<string>
required

Type of account details

Available options:
dedicated,
pooled
country
string | null
required

Country of the account details (ISO Code 2)

Required string length: 2
Pattern: [A-Z]{2}
Example:

"GB"

currency
string | null
required

Currency of the account details

Required string length: 3
Pattern: [A-Z]{3}
Example:

"GBP"

status
enum<string>
required

Status of the account details

Available options:
pending,
confirmed,
failed
domestic
object | null
required

Domestic information of the account

international
object | null
required

International information of the account

alias
string | null

User-friendly alias for the account details. Only present (and mandatory) for dedicated accounts.

Required string length: 1 - 50
financial_institution_name
string | null

Name of the underlying financial institution

Required string length: 1 - 255
financial_institution_address
string | null

Address of the underlying financial institution

Required string length: 1 - 4000
account_holder_name
string | null

Name of the holder of the account details

Required string length: 1 - 1500
account_holder_address
string | null

Address of the holder of the account details

Maximum string length: 4000
primary
boolean

Primary (default) account. Only present (and mandatory) for dedicated accounts.

created
string | null

Datetime of creation. Only on dedicated account details.

modified
string | null

Datetime of last modification. Only on dedicated account details.